// Oleg Petruny proprietary.

#pragma once

#include "GameFramework/SaveGame.h"

#include "SaveData.generated.h"

UCLASS(BlueprintType)
class USaveData : public USaveGame
{
    GENERATED_BODY()

public:
    UPROPERTY(VisibleAnywhere)
    FName level;

    UPROPERTY(VisibleAnywhere)
    int32 state;

    UPROPERTY(VisibleAnywhere)
    FName checkpoint;

    UPROPERTY(VisibleAnywhere)
    FName playerLeftPocketItem;

    UPROPERTY(VisibleAnywhere)
    FName playerRightPocketItem;
};
